xgl下beryl不能运行

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
头像
majianle
帖子: 73
注册时间: 2007-03-10 15:11
系统: Mint 13 & Arch
来自: Xi'an,Shaanxi
送出感谢: 2 次
接收感谢: 0

xgl下beryl不能运行

#1

帖子 majianle » 2007-04-21 9:25

昨天装了7.04,我的显卡是ATI Radeon X550,我用了zhuqin的帖子介绍的方法1安装驱动,成功了。

代码: 全选

fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9600 Generic
OpenGL version string: 2.0.6011 (8.28.8)

在gnome下

代码: 全选

$ glxinfo | grep render
direct rendering: Yes

我想装beryl,xgl也安装了。
登录时选会话xgl
在终端下运行 beryl-manager提示:

代码: 全选

* (beryl-manager:1301): CRITICAL **: 无法执行 beryl-xgl: Success
beryl效果打不开,只提示上面的。
在xgl下

代码: 全选

 glxinfo | grep render 
Xlib:  extension "XFree86-DRI" missing on display ":1.0".
direct rendering: No
    GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: RADEON X300/X550/X1050 Series
我的xorg.conf文件内容:

代码: 全选

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "aticonfig-Screen[0]" 0 0
	InputDevice    "Generic Keyboard"
	InputDevice    "Configured Mouse"
	InputDevice    "stylus" "SendCoreEvents"
	InputDevice    "cursor" "SendCoreEvents"
	InputDevice    "eraser" "SendCoreEvents"
EndSection

Section "Files"

	# path to defoma fonts
	FontPath     "/usr/share/fonts/X11/misc"
	FontPath     "/usr/share/fonts/X11/cyrillic"
	FontPath     "/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/Type1"
	FontPath     "/usr/share/fonts/X11/100dpi"
	FontPath     "/usr/share/fonts/X11/75dpi"
	FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load  "bitmap"
	Load  "ddc"
	Load  "dri"
	Load  "extmod"
	Load  "freetype"
	Load  "int10"
	Load  "vbe"
	Load  "glx"
EndSection

Section "InputDevice"
	Identifier  "Generic Keyboard"
	Driver      "kbd"
	Option	    "CoreKeyboard"
	Option	    "XkbRules" "xorg"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Configured Mouse"
	Driver      "mouse"
	Option	    "CorePointer"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "ImPS/2"
	Option	    "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
	Identifier  "stylus"
	Driver      "wacom"
	Option	    "Device" "/dev/input/wacom"
	Option	    "Type" "stylus"
	Option	    "ForceDevice" "ISDV4"# Tablet PC ONLY
EndSection

Section "InputDevice"
	Identifier  "eraser"
	Driver      "wacom"
	Option	    "Device" "/dev/input/wacom"
	Option	    "Type" "eraser"
	Option	    "ForceDevice" "ISDV4"# Tablet PC ONLY
EndSection

Section "InputDevice"
	Identifier  "cursor"
	Driver      "wacom"
	Option	    "Device" "/dev/input/wacom"
	Option	    "Type" "cursor"
	Option	    "ForceDevice" "ISDV4"# Tablet PC ONLY
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
	Identifier  "aticonfig-Device[0]"
	Driver      "fglrx"
	Option	    "VideoOverlay" "on"
	Option	    "OpenGLOverlay" "off"
EndSection

Section "Screen"
	Identifier "aticonfig-Screen[0]"
	Device     "aticonfig-Device[0]"
	Monitor    "aticonfig-Monitor[0]"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Section "DRI"
	Mode         0666
EndSection

Section "Extensions"
	Option	    "Composite" "0"
EndSection
请问,到底是哪里的问题啊。
但是系统 带的桌面效果在xgl下正常,可我想用beryl阿。
zhuqin_83哥哥 。
之前在6.06下是xgl+beryl是可以正常运行的。[/code]
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 zhuqin_83 » 2007-04-21 9:31

:em31
704的暂时就乖乖用compiz+aiglx吧,很不错,xgl是有问题的。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
majianle
帖子: 73
注册时间: 2007-03-10 15:11
系统: Mint 13 & Arch
来自: Xi'an,Shaanxi
送出感谢: 2 次
接收感谢: 0

#3

帖子 majianle » 2007-04-21 9:41

compiz是系统自带的吗?
那个是不是只有几个效果呀?
epik
帖子: 3
注册时间: 2007-04-09 12:10
送出感谢: 0
接收感谢: 0

#4

帖子 epik » 2007-04-21 12:21

要先把beryl core降级。去快立得那里看看吧。
2.1和XGL有冲突。
头像
majianle
帖子: 73
注册时间: 2007-03-10 15:11
系统: Mint 13 & Arch
来自: Xi'an,Shaanxi
送出感谢: 2 次
接收感谢: 0

#5

帖子 majianle » 2007-04-21 13:30

it's too late.
I've come back to edgy.
回复

回到 “桌面特效”